Type to search.

Ingest an external event for a Kibana connector

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Public ingress for Kibana connector-scoped inbound events. Authenticate with an ingest token (Authorization: Bearer, or token query parameter as fallback). A successful emit returns 202. An emit that includes an HTTP ack returns that status, usually 200 with an empty body, and still emits. A connector HTTP-only ack returns 200 (JSON or a plain-text body; .inboundWebhook handshake is { challenge }) and does not emit.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

connector_type_id string · min length: 1 · max length: 64 required

The Kibana connector type identifier.

connector_id string · min length: 1 · max length: 36 required

The identifier of the Kibana connector instance that should receive the event.

Query parameters

token string · min length: 1 · max length: 128

Connector ingest token. Prefer Authorization: Bearer <token>. Query token is only used when the Authorization header is absent.

Request body

Type: object

Responses

Connector HTTP 200 ack. A handshake such as .inboundWebhook { challenge } does not emit. An ack included with an emit may have an empty body, and the events are still emitted. The body may be JSON or plain-text.

application/json; application/*+json; application/x-www-form-urlencoded; text/plain; */*
Any of:

Plain-text HTTP ack body.

403

Inbound connector events are disabled.

404

Connector, connector type, or ingest token was not found or failed verification.

429

Inbound rate limit exceeded. Retry-After is the seconds until a request is allowed again.

500

The connector failed to handle or validate the event.